EUCA-DESCRIBE-VPN-CONNECTIONS(1)

NAME
euca-describe-vpn-connections - Show information about VPN connections

SYNOPSIS
euca-describe-vpn-connections [--format FORMAT]

[--stylesheet STYLESHEET]
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [VPNCONN [VPNCONN ...]]

DESCRIPTION
Show information about VPN connections

  positional arguments:

VPNCONN
    limit results to specific VPN connections

  optional arguments:

--format FORMAT
    show connection information in a specific format (cisco-ios-isr, juniper-junos-j, juniper-screenos-6.1, juniper-screenos-6.2, generic, xml, none) (default: none)

--stylesheet STYLESHEET
    format the connection information using an XSL stylesheet. If the value contains "{format}" it will be replaced with the format chosen by the --format option. If the value is an HTTP or HTTPS URL it will be downloaded as needed. (default: value of "vpnstylesheet" region option)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

bgp-asn
    the BGP AS number advertised by the customer gateway router

customer-gateway-configuration
    connection information for the customer gateway

customer-gateway-id
    ID of the connected customer gateway

state
    the VPN connection's state (available, deleting, deleted, pending)

option.static-routes-only
    whether the VPN connection is restricted to static routes instead of using BGP

route.destination-cidr-block
    the address block corresponding to the subnet used in the data center behind the customer gateway router

tag-key
    key of a tag assigned to the VPN connection

tag-value
    value of a tag assigned to the VPN connection

tag:KEY
    specific tag key/value combination

type
    the type of virtual private gateway (ipsec.1)

vpn-connection-id
    ID of the VPN connection

vpn-gateway-id
    ID of the connected virtual private gateway